//@
# INVOKED        WDL-Script                    Project: DEMO ADEPTUS
#
# Auftraggeber   : Conitec GmbH
#
#*********************************************************************
# Module        : doors.wdl - Kundenversion
# Version       : 2.0 (Made with WDL-STUDIO & Beautyfier)
# Date          :  9.9.99
# Responsible   : Harald Schmidt
# Description   : Conitec RPG -Demo - Modified Template doors.wdl
# *********************************************************************
//@
////////////////////////////////////////////////////////////////////////
SKILL spelldoor_open {}
////////////////////////////////////////////////////////////////////////

ACTION adept_door
{
	CALL door;
	MY.ENT_ID = M_DOOR;
	SET MY.STRING1, door_str;
	SET MY.ENABLE_TOUCH, ON;
	SET MY.EVENT, adept_door_event;
}

ACTION adept_key1_door
{
	CALL door;
	MY.ENT_ID = M_DOOR1;
	MY.KEY = M_KEY1;
	SET MY.STRING1, door_str;
	SET MY.ENABLE_TOUCH, ON;
	SET MY.EVENT, adept_door_event;
}

ACTION adept_key2_door
{
	CALL door;
	MY.ENT_ID = M_DOOR2;
	MY.KEY = M_KEY2;
	SET MY.STRING1, door_str;
	SET MY.ENABLE_TOUCH, ON;
	SET MY.EVENT, adept_door_event;
}

ACTION adept_spelldoor
{
	CALL door;
	MY.ENT_ID = M_SPELLDOOR;
	SET MY.STRING1, door_str;
	SET MY.ENABLE_TOUCH, ON;
	SET MY.EVENT, adept_door_event;
}



ACTION adept_door_event
{
	CALL handle_touch;

	// if this is a key door and the user does not have the key 'in-hand'...
	IF (((MY.KEY == M_KEY1)||(MY.KEY == M_KEY2))
		&& (MY.KEY != mouse_object))
	{
		// "this door can not be open without the right key"
		SET msg.STRING,locked_door_str;
		CALL show_message;

		RETURN;
	}

	// if this is a spelldoor and the spell has not been cast...
	IF ((MY.ENT_ID == M_SPELLDOOR)&&(spelldoor_open == FALSE))
	{
		// "This door is magically sealed"
 		SET msg.STRING,spell_locked_door_str;
		CALL show_message;

		RETURN;
	}

	// open the door
	MY.ENT_ID = M_DOOR;
	BRANCH door_event;
}





////////////////////////////////////////////////////////////////////////

// DCP- added a 'proxy' trigger at its base (elevator_prox_target)
ACTION adept_elevator
{
	SET MY.STRING1,plat_str;
	SET MY.__REMOTE,ON;		// operates upon remote calling
//	MY._TRIGGER_RANGE = 1;	// operates upon stepping onto it
//	MY._RECALL_TRIGGER_RANGE = 250; // zone around the recall trigger
	MY._TRIGGER_RANGE = 250; // zone around the recall trigger


	CALL elevator;
}




//Old trigger entity - not used anymore
ACTION elevator_trigger {	REMOVE ME; RETURN; }