//@
# INVOKED        WDL-Script                    Project: DEMO ADEPTUS
#
# Auftraggeber   : Conitec GmbH
#
#*********************************************************************
# Module        : a4panel.wdl - Kundenversion
# Version       : 2.0 (Made with WDL-STUDIO)
# Date          :  19.8.99
# Responsible   : Harald Schmidt
# Description   : panels & panelactions
# ********************************************************************
//@


/////////////////IntroScreen//////////////////////////////////////////////////
#BMAP intro_map <ls2.pcx>;
// two panels of the introduction splash screen
BMAP introl_map <ls2a.pcx>;    // left panel
BMAP intror_map <ls2b.pcx>;    // right panel

// introduction skills
SKILL intro_counter {}

SKILL intro_r_move {VAL 160;}
SKILL intro_l_move {VAL 160;}


PANEL introl_pan
{
	POS_X 0;
	BMAP introl_map;
	LAYER 12;
	FLAGS REFRESH,OVERLAY;
}
PANEL intror_pan
{
	POS_X 320;
	BMAP intror_map;
	LAYER 12;
	FLAGS REFRESH,OVERLAY;
}

// Desc: the introduction at the begining of the game
ACTION start_intro
{
	intro_counter = 0;
	SET intror_pan.VISIBLE, TRUE;
	SET introl_pan.VISIBLE, TRUE;
	WHILE (KEY_ANY == 0)
	{
		intro_counter += TIME;
		IF (intro_counter > 20)
		{
			intror_pan.POS_X += 20*TIME;
			introl_pan.POS_X -= 20*TIME;
			IF (intror_pan.POS_X >= 640)
			{
				BREAK;
			}
		}
		WAIT 1;
	}
	intro_counter = 0;
	SET intror_pan.VISIBLE, FALSE;
	SET introl_pan.VISIBLE, FALSE;
	CALL show_story;
}


/////////////////////////////////////////////////////////////////////

// Desc: show the background story
ACTION show_story
{
	CALL vscr_close_all_at_start;
	WAIT 1;
	SET ON_ANYKEY, vscr_show_startmenu;
	SET info1_pan.VISIBLE, TRUE;
	SET intro_exit_vbpan.VISIBLE, TRUE;
	SET info1_txt.STRING, m_intro_str;
	SET info1_txt.VISIBLE, TRUE;
}


// Desc: the quest written in the book.
ACTION show_quest
{
	CALL vscr_close_all;
	SET info1_pan.VISIBLE, TRUE;
	SET info_exit_right_vbpan.VISIBLE, TRUE;
	SET info1_txt.STRING, m_regal_str;
	SET info1_txt.VISIBLE, TRUE;
}

// Desc:
ACTION show_quest_ready
{
	CALL vscr_close_all;
	SET info2_pan.VISIBLE, TRUE;
	SET info_exit_right_vbpan.VISIBLE, TRUE;
	SET info2_txt.STRING, quest_ready_str;
	SET info2_txt.VISIBLE, TRUE;
}










