////////////////////////////////////////////////////////////////////
SKILL b1 {}
SKILL b2 {}
SKILL b3 {}
SKILL exit1 {}
SKILL exit2 {}
SKILL exit3 {}

ACTION show_dial
{
	SET info2_pan.VISIBLE, TRUE;
	SET dial_txt.VISIBLE, TRUE;
}

/// talk to actors /////////////////////////////////////////////////
ACTION make_talk
{
	CALL close_all;
	CALL reset_keys;

	button_works = FALSE;
	SET exit1, NO;
	SET exit2, NO;
	SET exit3, NO;
	IF (PLAYER.CURRENT == 51)
	{
		PERSON.CURRENT = 51;
	}

	IF (PERSON.ID == M_ANGEL)
	{
		IF (PERSON.CURRENT == 11)
		{
			SET dial_txt.STRING angel11_str;
			SET dial1_butt_pan.VISIBLE, TRUE;
			SET b1, 13;
			SET b2, 12;
			SET exit2, YES;
		}
		IF (PERSON.CURRENT == 12)
		{
			SET dial_txt.STRING angel12_str;
			SET dial1_butt_pan.VISIBLE, TRUE;
			SET b1, 14;
			SET b2, 12;
			SET exit2, YES;
		}
		IF (PERSON.CURRENT == 13)
		{
			SET dial_txt.STRING angel13_str;
			SET dial1_butt_pan.VISIBLE, TRUE;
			SET b1, 14;
			SET b2, 12;
			SET exit2, YES;
		}
		IF (PERSON.CURRENT == 14)
		{
			SET dial_txt.STRING angel14_str;
			SET dial1_butt_pan.VISIBLE, TRUE;
			SET b1, 21;
			SET b2, 12;
			SET exit2, YES;
		}
		IF (PERSON.CURRENT == 21)
		{
			SET dial_txt.STRING angel21_str;
			SET dial1_butt_pan.VISIBLE, TRUE;
			SET b1, 32;
			SET b2, 12;
			SET exit1, YES;
			SET exit2, YES;
		}
		IF (PERSON.CURRENT == 32)
		{
			SET dial_txt.STRING angel32_str;
			SET dial1_butt_pan.VISIBLE, TRUE;
			SET b1, 32;
			IF (has_diamond == TRUE)
			{
				SET b1, 42;
			}
			SET b2, 41;
			#	SET exit1, YES;
		}

		IF (PERSON.CURRENT == 41)
		{
			SET dial_txt.STRING angel41_str;
			SET dial2_butt_pan.VISIBLE, TRUE;
			SET b3, 32;
			SET exit3, YES;
		}

		IF (PERSON.CURRENT == 42)
		{
			SET dial_txt.STRING angel42_str;
			SET dial2_butt_pan.VISIBLE, TRUE;
			SET give_exp, 200;
			has_diamond = FALSE;
			ITEM = M_GEM;
			CALL delete_item;
			spelldoor_open = TRUE;
			CALL check_exp;
			SET b3, 51;
			SET exit3, YES;
		}
		IF (PERSON.CURRENT == 51)
		{
			SET dial_txt.STRING angel51_str;
			SET dial2_butt_pan.VISIBLE, TRUE;
			SET b3, 51;
			SET exit3, YES;
		}
		IF (PERSON.CURRENT == 61)
		{
			SET dial_txt.STRING angel61_str;
			SET dial2_butt_pan.VISIBLE, TRUE;
			SET b3, 61;
			SET exit3, YES;
		}
	}
	IF (PERSON.ID == M_CYNTHIA)
	{
		IF (PERSON.CURRENT == 11)
		{
			SET dial_txt.STRING cynth11_str;
			SET dial1_butt_pan.VISIBLE, TRUE;
			SET b1, 21;
			SET b2, 22;
		}
		IF (PERSON.CURRENT == 21)
		{
			SET dial_txt.STRING cynth21_str;
			SET dial1_butt_pan.VISIBLE, TRUE;
			SET b1, 31;
			SET b2, 11;
			SET exit2, YES;
		}
		IF (PERSON.CURRENT == 22)
		{
			SET dial_txt.STRING cynth22_str;
			SET dial1_butt_pan.VISIBLE, TRUE;
			SET b1, 31;
			SET b2, 11;
			SET exit2, YES;
			SET give_exp, cynth_exp;
			CALL check_exp;
			SET cynth_exp, 0;
		}
		IF (PERSON.CURRENT == 31)
		{
			SET dial_txt.STRING cynth31_str;
			SET dial2_butt_pan.VISIBLE, TRUE;
			SET ITEM, M_KEY2;
			CALL put_item;
			SET b3, 41;
			SET exit3, YES;
		}
		IF (PERSON.CURRENT == 41)
		{
			SET dial_txt.STRING cynth41_str;
			SET dial2_butt_pan.VISIBLE, TRUE;
			SET b3, 41;
			SET exit3, YES;
		}
		IF (PERSON.CURRENT == 51)
		{
			SET dial_txt.STRING cynth51_str;
			SET dial2_butt_pan.VISIBLE, TRUE;
			SET b3, 51;
			SET exit3, YES;
			create_pos.X = -1150;
			create_pos.Y = -1082;
			create_pos.Z = -180;
			CREATE <tp+7.pcx>, create_pos, tp_ani;
		}
	}
	CALL show_dial;
}

ACTION b1_function
{
	SET PERSON.CURRENT, b1;
	IF (exit1 == YES)
	{
		CALL close_all;
		PERSON._STATE = WALK;
		RETURN;
	}
	CALL make_talk;
}

ACTION b2_function
{
	SET PERSON.CURRENT, b2;
	IF (exit2 == YES)
	{
		CALL close_all;
		PERSON._STATE = WALK;
		RETURN;
	}
	CALL make_talk;
}

ACTION b3_function
{
	SET PERSON.CURRENT, b3;
	IF (exit3 == YES)
	{
		CALL close_all;
		PERSON._STATE = WALK;
		RETURN;
	}
	CALL make_talk;
}